TabItemCam

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class TabItemCam

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      gui.TabItemCam

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable, DynamicCmdSelector

public class TabItemCam
extends org.eclipse.swt.widgets.Composite
implements DynamicCmdSelector

TabItemCam Klasse Dient zum Anzeigen des WebCam Bildes von der WebCam Die Arbeiten des Roboters können kontrolliert und der Bereich der Kameraprüfung ausgewählt werden

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TabItemCam(MainShell mainSh, org.eclipse.swt.widgets.Display display, org.eclipse.swt.widgets.Composite parent, int style, NetworkHandler netH)` Konstruktor

Method Summary
`void` | `cancelDynamicCmdSelect()` Bricht die dynamische Auswahl ab
`void` | `connectionDisrupted()` Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.
`void` | `connectionEstablished()` Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.
`int` | `getColor(int x, int y)` Liefert den Graustufefarbewert an der Position(x,y)
`void` | `refreshCamPic()` Vom FTP-Server Bild laden
`void` | `sendImageRequest()` Schickt ein ImageRequest-Command an den Server
`void` | `setStatusbarLabel(org.eclipse.swt.widgets.Label stat)` Gibt dem TabItem das Label in der Statusbar bekannt
`void` | `startDynamicCmdSelect(java.lang.String cmd)` Startet die dynamische Auswahl

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabItemCam

    public TabItemCam(MainShell mainSh,
                      org.eclipse.swt.widgets.Display display,
                      org.eclipse.swt.widgets.Composite parent,
                      int style,
                      NetworkHandler netH)

  Konstruktor

Parameters:
  `display` - das erzeugte Display
  `parent` - das Parent Composite
  `style` - der SWT Style
  `netH` - das vorherrschende NetworkHandler Objekt

Method Detail

### connectionEstablished

    public void connectionEstablished()

  Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.

### connectionDisrupted

    public void connectionDisrupted()

  Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.

### getColor

    public int getColor(int x,
                        int y)

  Liefert den Graustufefarbewert an der Position(x,y)

  Parameters:
    `x` - X-Koordinate
    `y` - Y-Koordinate

### setStatusbarLabel

    public void setStatusbarLabel(org.eclipse.swt.widgets.Label stat)

  Gibt dem TabItem das Label in der Statusbar bekannt

  Parameters:
    `stat` - Label in der Statusbar

### sendImageRequest

    public void sendImageRequest()

  Schickt ein ImageRequest-Command an den Server

### refreshCamPic

    public void refreshCamPic()

  Vom FTP-Server Bild laden

### cancelDynamicCmdSelect

    public void cancelDynamicCmdSelect()

  Bricht die dynamische Auswahl ab

  Specified by:
    `cancelDynamicCmdSelect` in interface `DynamicCmdSelector`

### startDynamicCmdSelect

    public void startDynamicCmdSelect(java.lang.String cmd)

  Startet die dynamische Auswahl

  Specified by:
    `startDynamicCmdSelect` in interface `DynamicCmdSelector`
  Parameters:
    `cmd` - Commando für die dynamische Auswahl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD